import QtQuick

Rectangle {
    id: button
    property string text: "<placeholder>"

    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }

    width: parent.width * 0.2
    height: parent.height * 0.2
    anchors.verticalCenter: parent.verticalCenter
    anchors.horizontalCenter: parent.horizontalCenter
    color: clickablearea.pressed ? "darkgrey" : "gray"
    radius: 4

    Text
    {
        color: myPalette.buttonText
        text: button.text
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        width: parent.width * 0.8
        wrapMode: Text.Wrap

    }

    MouseArea
    {
        id: clickablearea
        anchors.fill: parent
        onClicked: { console.error("Hehehe") }
    }
}
