#ifndef USER_H
#define USER_H

#include <qdatetime.h>
class User
{
public:
    User(QString name, QDate dateOfBirth, QDate dateOfDeath, bool isItDefault = false);

    QString getName() const;
    void setName(const QString &newName);

    QDate getDateOfBirth() const;
    void setDateOfBirth(const QDate &newDateOfBirth);

    QDate getDateOfDeath() const;
    void setDateOfDeath(const QDate &newDateOfDeath);

    bool getIsItDefault() const;
    void setIsItDefault(bool newIsItDefault);

private:
    QString name;
    QDate dateOfBirth;
    QDate dateOfDeath;
    bool isItDefault = false;
};

#endif // USER_H
